/**
 * <copyright>
 * </copyright>
 *
 * $Id: ExpressionNodeValidator.java,v 1.1 2008-04-01 09:35:41 vmahe Exp $
 */
package orgomg.cwm.foundation.expressions.validation;

import orgomg.cwm.foundation.expressions.FeatureNode;

import orgomg.cwm.objectmodel.core.Classifier;
import orgomg.cwm.objectmodel.core.Expression;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.expressions.ExpressionNode}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ExpressionNodeValidator {
	boolean validate();

	boolean validateExpression(Expression value);
	boolean validateType(Classifier value);
	boolean validateFeatureNode(FeatureNode value);
}
